Package helma.framework

# Class FrameworkException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
helma.framework.FrameworkException

All Implemented Interfaces:
  `Serializable`

public class FrameworkException extends RuntimeException
The basic exception class used to tell when certain things go wrong in evaluation of requests.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FrameworkException(String msg)`
Creates a new FrameworkException object.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FrameworkException

public FrameworkException(String msg)
Creates a new FrameworkException object.

Parameters:
  `msg` - ...